BizKitHub
DocsAPI ReferenceLedger/bff/ledger/report/account-statement/lines
getLedgerAdmin BFF

/bff/ledger/report/account-statement/lines

Account statement lines (DataGrid page) with the running balance of the whole statement

LedgergetBffLedgerReportAccount-statementLines

Parameters

10 query

Query parameters

· 10
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
fiscalYearstring | numberOptional
Range: 1900–2999
fromstringOptional
Example2026-03-31
tostringOptional
Example2026-03-31
afterClosingboolean | stringOptional
accountIdstringRequired
Length: 24–24
Exampleexample_accountId
counterstringOptional
Length: 0–16
Exampleexample_counter
orderBystringOptional

DataGrid sort; only entryDate:asc|desc (chronological) is honoured.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/report/account-statement/lines

get
curl -X GET "https://api.bizkithub.com/bff/ledger/report/account-statement/lines?entityId=example_entityId&from=2026-03-31&to=2026-03-31&accountId=example_accountId&counter=example_counter&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key